meta-google: goolge-key: Fix shellcheck issues

Change-Id: I4ce1830f53932ed674ddacf2f71c66a89c3d19a1
Signed-off-by: William A. Kennington III <wak@google.com>
diff --git a/meta-google/recipes-phosphor/flash/google-key/verify-bmc-image.sh b/meta-google/recipes-phosphor/flash/google-key/verify-bmc-image.sh
index cac229a..06ccecb 100755
--- a/meta-google/recipes-phosphor/flash/google-key/verify-bmc-image.sh
+++ b/meta-google/recipes-phosphor/flash/google-key/verify-bmc-image.sh
@@ -47,7 +47,8 @@
   test -n "$GNUPGHOME" && rm -rf "$GNUPGHOME"
 }
 trap cleanup ERR EXIT INT
-export GNUPGHOME="$(mktemp -d)" || exit
+GNUPGHOME="$(mktemp -d)" || exit
+export GNUPGHOME
 
 gpg() {
   command gpg --batch --allow-non-selfsigned-uid --no-tty "$@"